import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _SFVoiceAnalytics } from "./SFVoiceAnalytics.js";
export declare class _SFSpeechRecognitionMetadata extends _NSObject {
    static alloc(): _SFSpeechRecognitionMetadata;
    static new(): _SFSpeechRecognitionMetadata;
    init(): _SFSpeechRecognitionMetadata;
    /** The number of words spoken per minute. */
    speakingRate(): number;
    /** The average pause duration between words, measured in seconds. */
    averagePauseDuration(): number;
    /** The start timestamp of speech in the audio. */
    speechStartTimestamp(): number;
    /** The duration in seconds of speech in the audio. */
    speechDuration(): number;
    /** An analysis of the transcription segment's vocal properties. */
    voiceAnalytics(): _SFVoiceAnalytics | null;
}
export interface _SFSpeechRecognitionMetadata extends _NSCopying, _NSSecureCoding {
}
